SDL_mixer: autotools: added missing SDL2MIXER_GME variable

From daf3233a5b0b3cedcb2457714600df43b94665bf Mon Sep 17 00:00:00 2001
From: Ozkan Sezer <[EMAIL REDACTED]>
Date: Sun, 1 Jan 2023 11:11:10 +0300
Subject: [PATCH] autotools: added missing SDL2MIXER_GME variable

---
 configure    | 44 ++++++++++++++++++++++++--------------------
 configure.ac |  3 +++
 2 files changed, 27 insertions(+), 20 deletions(-)

diff --git a/configure b/configure
index 656e4bf8..385755aa 100755
--- a/configure
+++ b/configure
@@ -800,6 +800,7 @@ ac_includes_default="\
 ac_header_c_list=
 ac_subst_vars='LTLIBOBJS
 LIBOBJS
+SDL2MIXER_GME
 SDL2MIXER_WAVPACK
 SDL2MIXER_WAVE
 SDL2MIXER_VORBIS_VORBISFILE
@@ -4961,13 +4962,13 @@ then :
 else $as_nop
   lt_cv_nm_interface="BSD nm"
   echo "int some_variable = 0;" > conftest.$ac_ext
-  (eval echo "\"\$as_me:4964: $ac_compile\"" >&5)
+  (eval echo "\"\$as_me:4965: $ac_compile\"" >&5)
   (eval "$ac_compile" 2>conftest.err)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:4967: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+  (eval echo "\"\$as_me:4968: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
   (eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
   cat conftest.err >&5
-  (eval echo "\"\$as_me:4970: output\"" >&5)
+  (eval echo "\"\$as_me:4971: output\"" >&5)
   cat conftest.out >&5
   if $GREP 'External.*some_variable' conftest.out > /dev/null; then
     lt_cv_nm_interface="MS dumpbin"
@@ -6226,7 +6227,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 6229 "configure"' > conftest.$ac_ext
+  echo '#line 6230 "configure"' > conftest.$ac_ext
   if { { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_compile\""; } >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7899,11 +7900,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7902: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7903: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7906: \$? = $ac_status" >&5
+   echo "$as_me:7907: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8249,11 +8250,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8252: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8253: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8256: \$? = $ac_status" >&5
+   echo "$as_me:8257: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8356,11 +8357,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8359: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8360: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8363: \$? = $ac_status" >&5
+   echo "$as_me:8364: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8412,11 +8413,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8415: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8416: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8419: \$? = $ac_status" >&5
+   echo "$as_me:8420: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10855,7 +10856,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 10858 "configure"
+#line 10859 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10952,7 +10953,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<_LT_EOF
-#line 10955 "configure"
+#line 10956 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14651,11 +14652,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14654: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14658: \$? = $ac_status" >&5
+   echo "$as_me:14659: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14752,11 +14753,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14755: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14756: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14759: \$? = $ac_status" >&5
+   echo "$as_me:14760: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14805,11 +14806,11 @@ else $as_nop
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14808: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14809: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14812: \$? = $ac_status" >&5
+   echo "$as_me:14813: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17852,6 +17853,7 @@ if test x$enable_music_midi_timidity != xyes -a \
 printf "%s\n" "$as_me: WARNING: MIDI support disabled" >&2;}
 fi
 
+SDL2MIXER_GME=0
 # Check whether --enable-music-gme was given.
 if test ${enable_music_gme+y}
 then :
@@ -18060,6 +18062,7 @@ fi
                 PC_LIBS="$PC_LIBS $GME_LIBS"
             fi
         fi
+        SDL2MIXER_GME=1
     else
         { printf "%s\n" "$as_me:${as_lineno-$LINENO}: WARNING: *** Unable to find GME library (https://bitbucket.org/mpyne/game-music-emu)" >&5
 printf "%s\n" "$as_me: WARNING: *** Unable to find GME library (https://bitbucket.org/mpyne/game-music-emu)" >&2;}
@@ -19726,6 +19729,7 @@ done
 
 
 
+
 
 
 ac_config_files="$ac_config_files Makefile SDL2_mixer.spec SDL2_mixer.pc sdl2_mixer-config.cmake sdl2_mixer-config-version.cmake"
diff --git a/configure.ac b/configure.ac
index e8bd5116..6a497136 100644
--- a/configure.ac
+++ b/configure.ac
@@ -571,6 +571,7 @@ if test x$enable_music_midi_timidity != xyes -a \
     AC_MSG_WARN([MIDI support disabled])
 fi
 
+SDL2MIXER_GME=0
 AC_ARG_ENABLE([music-gme],
 [AS_HELP_STRING([--enable-music-gme], [enable Game Music Emu support [default=no]])],
               [], [enable_music_gme=no])
@@ -611,6 +612,7 @@ if test x$enable_music_gme = xyes; then
                 PC_LIBS="$PC_LIBS $GME_LIBS"
             fi
         fi
+        SDL2MIXER_GME=1
     else
         AC_MSG_WARN([*** Unable to find GME library (https://bitbucket.org/mpyne/game-music-emu)])
         AC_MSG_WARN([Game Music Emu support disabled.])
@@ -1104,6 +1106,7 @@ AC_SUBST(SDL2MIXER_VORBIS_TREMOR)
 AC_SUBST(SDL2MIXER_VORBIS_VORBISFILE)
 AC_SUBST(SDL2MIXER_WAVE)
 AC_SUBST(SDL2MIXER_WAVPACK)
+AC_SUBST(SDL2MIXER_GME)
 
 AC_CONFIG_FILES([
 Makefile